Start a sign-up
curl --request POST \
--url https://api.hellotracks.com/v1/signup \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "alex@example.com",
"name": "Alex Rivera",
"language": "en",
"timezone": "America/Los_Angeles",
"acceptTerms": true
}
'import requests
url = "https://api.hellotracks.com/v1/signup"
payload = {
"email": "alex@example.com",
"name": "Alex Rivera",
"language": "en",
"timezone": "America/Los_Angeles",
"acceptTerms": True
}
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'alex@example.com',
name: 'Alex Rivera',
language: 'en',
timezone: 'America/Los_Angeles',
acceptTerms: true
})
};
fetch('https://api.hellotracks.com/v1/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/signup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'alex@example.com',
'name' => 'Alex Rivera',
'language' => 'en',
'timezone' => 'America/Los_Angeles',
'acceptTerms' => true
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/signup"
payload := strings.NewReader("{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/signup")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/signup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": "alex@example.com",
"codeExpiresInSeconds": 1800
},
"error": null,
"meta": {
"path": "/v1/signup",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "already_exists",
"message": "Username already exists."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Sign-up and sign-in
Start a sign-up
Starts a new company account for the person signing up and emails them a 6-digit code; finish with POST /signup/verify. Nothing usable is created before the code is checked. A code is 6 digits and lasts 30 minutes; asking again within 15 minutes resends the same code. Each code allows 5 tries, and an account allows 10 wrong codes a day. If the address already has an unfinished sign-up, a new code is sent; any other existing account answers 409. Throwaway inboxes are refused. Without timezone the account uses UTC; an America/* time zone picks US units (miles, 12h, MM-dd-yyyy). Limited to 5 sign-ups per IP address an hour (429). No API key needed.
POST
/
signup
Start a sign-up
curl --request POST \
--url https://api.hellotracks.com/v1/signup \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "alex@example.com",
"name": "Alex Rivera",
"language": "en",
"timezone": "America/Los_Angeles",
"acceptTerms": true
}
'import requests
url = "https://api.hellotracks.com/v1/signup"
payload = {
"email": "alex@example.com",
"name": "Alex Rivera",
"language": "en",
"timezone": "America/Los_Angeles",
"acceptTerms": True
}
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'alex@example.com',
name: 'Alex Rivera',
language: 'en',
timezone: 'America/Los_Angeles',
acceptTerms: true
})
};
fetch('https://api.hellotracks.com/v1/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/signup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'alex@example.com',
'name' => 'Alex Rivera',
'language' => 'en',
'timezone' => 'America/Los_Angeles',
'acceptTerms' => true
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/signup"
payload := strings.NewReader("{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/signup")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/signup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"alex@example.com\",\n \"name\": \"Alex Rivera\",\n \"language\": \"en\",\n \"timezone\": \"America/Los_Angeles\",\n \"acceptTerms\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": "alex@example.com",
"codeExpiresInSeconds": 1800
},
"error": null,
"meta": {
"path": "/v1/signup",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "already_exists",
"message": "Username already exists."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Authorizations
Body
application/json